<?php 
    $wp_customize->add_section(
        'specialoffer_section',
        array(
            'title' => __( 'Special Offer Section', 'Luzuk' ),
            'panel' => 'lz_fitness_premium_home_panel'
        )
    );
  // ENABLE/DISABLE  SECTION
    $wp_customize->add_setting(
        'specialoffer_section_disable',
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text',
        )
    );
    $wp_customize->add_control(
        new lz_fitness_Switch_Control(
            $wp_customize,
            'specialoffer_section_disable',
            array(
                'settings'      => 'specialoffer_section_disable',
                'section'       => 'specialoffer_section',
                'label'         => __( 'Disable Section', 'supermart-ecommerce' ),
                'on_off_label'  => array(
                    'on' => __( 'Yes', 'supermart-ecommerce' ),
                    'off' => __( 'No', 'supermart-ecommerce' )
                ),
            )
        )
    );


backgroundManager($wp_customize, 'specialoffer', 'specialoffer_section', $color='#f7f6f2', get_template_directory_uri().'/images/default-gray.png', 'img');


lzCustomLable($wp_customize, 'specialofferDoctorSectionPadding', 'specialoffer_section', 'Section Padding');

$wp_customize->add_setting(
    'specialofferTpadding', 
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '2em', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'specialofferTpadding',
    array(
        'settings'      => 'specialofferTpadding',
        'section'       => 'specialoffer_section',
        'type'          => 'text',
        'label'         => __( 'Top Padding', 'Luzuk' )
    )
);
$wp_customize->add_setting(
    'specialofferBpadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '2em', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'specialofferBpadding',
    array(
        'settings'      => 'specialofferBpadding',
        'section'       => 'specialoffer_section',
        'type'          => 'text',
        'label'         => __( 'Bottom Padding', 'Luzuk' )
    )
);

lzCustomLable($wp_customize, 'specialofferSectiontitle', 'specialoffer_section', 'Section Heading');

$wp_customize->add_setting(
        'specialoffer_title',
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text',
            'default'           => __( 'Special Offers', 'Luzuk' )
        )
    );
    $wp_customize->add_control(
        'specialoffer_title',
        array(
            'settings'      => 'specialoffer_title',
            'section'       => 'specialoffer_section',
            'type'          => 'text',
            'label'         => __( 'Section Heading', 'Luzuk' )
        )
    );

addColorPalatOption($wp_customize, 'specialoffer_TitleColor', 'specialoffer_section', 'Section Heading Color', '#fff');

addColorPalatOption($wp_customize, 'specialoffer_TitlebgColor', 'specialoffer_section', 'Section Heading BG Color', '#000');

// BANNER ONE Image

$wp_customize->add_setting(
        'specialoffer_image1_heading',
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text'
        )
    );
$wp_customize->add_control(
    new lz_fitness_Customize_Heading(
        $wp_customize,
        'specialoffer_image1_heading',
        array(
            'settings'      => 'specialoffer_image1_heading',
            'section'       => 'specialoffer_section',
            'label'         => __( 'Left Banner Image', 'luzuk-premium' ),
        )
    )
);
$wp_customize->add_setting(
    'specialoffer_image1',
    array(
        'sanitize_callback' => 'esc_url_raw'
    )
);
$wp_customize->add_control(
    new WP_Customize_Image_Control(
        $wp_customize,
        'specialoffer_image1',
        array(
            'section' => 'specialoffer_section',
            'settings' => 'specialoffer_image1',
            'description' => __('Recommended Image Size: 600X725px', 'luzuk-premium')
        )
    )
);

//
$wp_customize->add_setting(
        'specialoffer_content',
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text',
            'default'           => __( 'WELCOME TO', 'Luzuk' )
        )
    );
    $wp_customize->add_control(
        'specialoffer_content',
        array(
            'settings'      => 'specialoffer_content',
            'section'       => 'specialoffer_section',
            'type'          => 'text',
            'label'         => __( 'Left Banner Highlight Text', 'Luzuk' )
        )
    );

///
    $wp_customize->add_setting(
        'specialoffer_content2',
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text',
            'default'           => __( 'THE WEARSLIM <br> STORE', 'Luzuk' )
        )
    );
    $wp_customize->add_control(
        'specialoffer_content2',
        array(
            'settings'      => 'specialoffer_content2',
            'section'       => 'specialoffer_section',
            'type'          => 'textarea',
            'label'         => __( 'Left Banner Title Text', 'Luzuk' )
        )
    );
////
    $wp_customize->add_setting(
        'specialoffer_content3',
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text',
            'default'           => __( 'NEW ARRIVAL', 'Luzuk' )
        )
    );
    $wp_customize->add_control(
        'specialoffer_content3',
        array(
            'settings'      => 'specialoffer_content3',
            'section'       => 'specialoffer_section',
            'type'          => 'textarea',
            'label'         => __( 'Left Banner Text', 'Luzuk' )
        )
    );



$wp_customize->add_setting('specialoffer_link',   array('default'=> 'add Button link here', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('specialoffer_link',
    array(
        'settings'      => 'specialoffer_link',
        'section'       => 'specialoffer_section',
        'type'          => 'url',
        'label'         => __( 'Add Left Banner Link ', 'Luzuk' )
    )
);    



/*====================*/

// BANNER tow

// BANNER tow Image

$wp_customize->add_setting(
        'specialoffer_image5_heading',
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text'
        )
    );
$wp_customize->add_control(
    new lz_fitness_Customize_Heading(
        $wp_customize,
        'specialoffer_image5_heading',
        array(
            'settings'      => 'specialoffer_image5_heading',
            'section'       => 'specialoffer_section',
            'label'         => __( 'Right Banner Image', 'luzuk-premium' ),
        )
    )
);
$wp_customize->add_setting(
    'specialoffer_image5',
    array(
        'sanitize_callback' => 'esc_url_raw'
    )
);
$wp_customize->add_control(
    new WP_Customize_Image_Control(
        $wp_customize,
        'specialoffer_image5',
        array(
            'section' => 'specialoffer_section',
            'settings' => 'specialoffer_image5',
            'description' => __('Recommended Image Size: 600X725px', 'luzuk-premium')
        )
    )
);

//
$wp_customize->add_setting(
        'specialoffer_content1',
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text',
            'default'           => __( 'NEW ARRIVAL', 'Luzuk' )
        )
    );
    $wp_customize->add_control(
        'specialoffer_content1',
        array(
            'settings'      => 'specialoffer_content1',
            'section'       => 'specialoffer_section',
            'type'          => 'text',
            'label'         => __( 'Right Banner Highlight Text', 'Luzuk' )
        )
    );

///
    $wp_customize->add_setting(
        'specialoffer_content02',
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text',
            'default'           => __( 'ELECTROLUX <span> SALE 30% </span> FLAT', 'Luzuk' )
        )
    );
    $wp_customize->add_control(
        'specialoffer_content02',
        array(
            'settings'      => 'specialoffer_content02',
            'section'       => 'specialoffer_section',
            'type'          => 'textarea',
            'label'         => __( 'Right Banner Title Text', 'Luzuk' )
        )
    );
////
    $wp_customize->add_setting(
        'specialoffer_content03',
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text',
            'default'           => __( 'Washing machine at low prices.', 'Luzuk' )
        )
    );
    $wp_customize->add_control(
        'specialoffer_content03',
        array(
            'settings'      => 'specialoffer_content03',
            'section'       => 'specialoffer_section',
            'type'          => 'textarea',
            'label'         => __( 'Right Banner Text', 'Luzuk' )
        )
    );



$wp_customize->add_setting('specialoffer_link1',   array('default'=> 'add Button link here', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('specialoffer_link1',
    array(
        'settings'      => 'specialoffer_link1',
        'section'       => 'specialoffer_section',
        'type'          => 'url',
        'label'         => __( 'Add Right Banner Link ', 'Luzuk' )
    )
);

//colors
addColorPalatOption($wp_customize, 'specialoffer_leftbxhightexColor', 'specialoffer_section', 'Left Box Highlight Text Color', '#288DCF');

addColorPalatOption($wp_customize, 'specialoffer_bannerleftbxtitleColor', 'specialoffer_section', 'Left Box Title Color', '#000');

addColorPalatOption($wp_customize, 'specialoffer_bannerleftbxbnnrlinkColor', 'specialoffer_section', 'Left Box Banner Link Color', '#F1511A');

addColorPalatOption($wp_customize, 'specialoffer_bannerleftbxbnnrlinkbrdColor', 'specialoffer_section', 'Left Box Banner Link Border Color', '#a4a4a4');

addColorPalatOption($wp_customize, 'specialoffer_bannerbxbgColor', 'specialoffer_section', 'Right Banner Box BG Color', '#000');

addColorPalatOption($wp_customize, 'specialoffer_bannerhtexColor', 'specialoffer_section', 'Right Banner Highlight Text Color', '#F15019');

addColorPalatOption($wp_customize, 'specialoff_bannerTitleColor', 'specialoffer_section', 'Right Banner Title Color', '#fff');

addColorPalatOption($wp_customize, 'specialoff_bannertextColor', 'specialoffer_section', 'Right Banner Text Color', '#fff');